Package org.drinkless.tdlib

# Class TdApi.BusinessInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessInfo

Enclosing class:
  `TdApi`

public static class TdApi.BusinessInfo extends TdApi.Object
Contains information about a Telegram Business account.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.BusinessAwayMessageSettings`
  `awayMessageSettings`
  The away message; may be null if none or the Business account is not of the current user.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.BusinessGreetingMessageSettings`
  `greetingMessageSettings`
  The greeting message; may be null if none or the Business account is not of the current user.
  `TdApi.BusinessOpeningHours`
  `localOpeningHours`
  Opening hours of the business in the local time; may be null if none.
  `TdApi.BusinessLocation`
  `location`
  Location of the business; may be null if none.
  `int`
  `nextCloseIn`
  Time left before the business will close the next time, in seconds; 0 if unknown.
  `int`
  `nextOpenIn`
  Time left before the business will open the next time, in seconds; 0 if unknown.
  `TdApi.BusinessOpeningHours`
  `openingHours`
  Opening hours of the business; may be null if none.
  `TdApi.BusinessStartPage`
  `startPage`
  Information about start page of the account; may be null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessInfo()`
  Contains information about a Telegram Business account.
  `BusinessInfo(TdApi.BusinessLocation location, TdApi.BusinessOpeningHours openingHours, TdApi.BusinessOpeningHours localOpeningHours, int nextOpenIn, int nextCloseIn, TdApi.BusinessGreetingMessageSettings greetingMessageSettings, TdApi.BusinessAwayMessageSettings awayMessageSettings, TdApi.BusinessStartPage startPage)`
  Contains information about a Telegram Business account.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### location

    @Nullable public TdApi.BusinessLocation location
    Location of the business; may be null if none.

  - ### openingHours

    @Nullable public TdApi.BusinessOpeningHours openingHours
    Opening hours of the business; may be null if none. The hours are guaranteed to be valid and has already been split by week days.

  - ### localOpeningHours

    @Nullable public TdApi.BusinessOpeningHours localOpeningHours
    Opening hours of the business in the local time; may be null if none. The hours are guaranteed to be valid and has already been split by week days. Local time zone identifier will be empty. An updateUserFullInfo update is not triggered when value of this field changes.

  - ### nextOpenIn

    public int nextOpenIn
    Time left before the business will open the next time, in seconds; 0 if unknown. An updateUserFullInfo update is not triggered when value of this field changes.

  - ### nextCloseIn

    public int nextCloseIn
    Time left before the business will close the next time, in seconds; 0 if unknown. An updateUserFullInfo update is not triggered when value of this field changes.

  - ### greetingMessageSettings

    @Nullable public TdApi.BusinessGreetingMessageSettings greetingMessageSettings
    The greeting message; may be null if none or the Business account is not of the current user.

  - ### awayMessageSettings

    @Nullable public TdApi.BusinessAwayMessageSettings awayMessageSettings
    The away message; may be null if none or the Business account is not of the current user.

  - ### startPage

    @Nullable public TdApi.BusinessStartPage startPage
    Information about start page of the account; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessInfo

    public BusinessInfo()
    Contains information about a Telegram Business account.

  - ### BusinessInfo

    public BusinessInfo(TdApi.BusinessLocation location, TdApi.BusinessOpeningHours openingHours, TdApi.BusinessOpeningHours localOpeningHours, int nextOpenIn, int nextCloseIn, TdApi.BusinessGreetingMessageSettings greetingMessageSettings, TdApi.BusinessAwayMessageSettings awayMessageSettings, TdApi.BusinessStartPage startPage)
    Contains information about a Telegram Business account.
    Parameters:
      `location` - Location of the business; may be null if none.
      `openingHours` - Opening hours of the business; may be null if none. The hours are guaranteed to be valid and has already been split by week days.
      `localOpeningHours` - Opening hours of the business in the local time; may be null if none. The hours are guaranteed to be valid and has already been split by week days. Local time zone identifier will be empty. An updateUserFullInfo update is not triggered when value of this field changes.
      `nextOpenIn` - Time left before the business will open the next time, in seconds; 0 if unknown. An updateUserFullInfo update is not triggered when value of this field changes.
      `nextCloseIn` - Time left before the business will close the next time, in seconds; 0 if unknown. An updateUserFullInfo update is not triggered when value of this field changes.
      `greetingMessageSettings` - The greeting message; may be null if none or the Business account is not of the current user.
      `awayMessageSettings` - The away message; may be null if none or the Business account is not of the current user.
      `startPage` - Information about start page of the account; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR